# eric6.WebBrowser.SafeBrowsing.SafeBrowsingInfoWidget

Module implementing a widget to show some threat information.

### Global Attributes

None

### Classes

SafeBrowsingInfoWidget | Class implementing a widget to show some threat information.

### Functions

None

## SafeBrowsingInfoWidget

Class implementing a widget to show some threat information.

### Derived from

QMenu

### Class Attributes

None

### Class Methods

None

### Methods

SafeBrowsingInfoWidget | Constructor
showAt | Public method to show the widget.

### Static Methods

None

#### SafeBrowsingInfoWidget (Constructor)

SafeBrowsingInfoWidget(info, parent=None)

Constructor

info (str)
  information string to be shown
parent (QWidget)
  reference to the parent widget

#### SafeBrowsingInfoWidget.showAt

showAt(pos)

Public method to show the widget.

pos (QPoint)
  position to show at

Up